<?php

use Illuminate\Support\Facades\Route;

/*
 * |--------------------------------------------------------------------------
 * | Web Routes
 * |--------------------------------------------------------------------------
 * | Here is where you can register web routes for your application. These
 * | routes are loaded by the RouteServiceProvider within a group which
 * | contains the "web" middleware group. Now create something great!
 */
/**************************/
/* HOME */
/**************************/
Auth::routes();
Route::get('/index', App\Http\Livewire\Home\Index::class)->name('index')->middleware('auth');
Route::get('/home', App\Http\Livewire\Home\Index::class)->name('home')->middleware('auth');
Route::get('/', App\Http\Livewire\Home\Index::class)->name('/')->middleware('auth');

Route::get('index/pc', App\Http\Livewire\Home\IndexPc::class)->name('index-pc')->middleware('auth');
Route::get('index/movil', App\Http\Livewire\Home\IndexMovil::class)->name('index-movil')->middleware('auth');

/**************************/
/* REGISTRO */
/**************************/
Route::get('registro/nuevo', App\Http\Livewire\Registro\Nuevos::class)->name('nuevo-registro')->middleware('auth');
Route::get('registro/actualizar/{id}', App\Http\Livewire\Registro\Actualizar::class)->name('actualizar-registro')->middleware('auth');
Route::get('registro/vista/{id}', App\Http\Livewire\Registro\Vista::class)->name('registro-vista')->middleware('auth');
Route::get('registro/pagos/{id}', App\Http\Livewire\Registro\Pagos::class)->name('nuevos-pagos')->middleware('auth');
Route::get('registro/listado', App\Http\Livewire\Registro\Listado::class)->name('listado-registros')->middleware('auth');
/**************************/
/* TASA */
/**************************/
Route::get('tasa/panel', App\Http\Livewire\Tasa\Listado::class)->name('panel-tasa')->middleware('auth');
Route::get('tasa/panel/movil', App\Http\Livewire\Tasa\PanelMovil::class)->name('panel-tasa-movil')->middleware('auth');
/**************************/
/* CIRUJANO */
/**************************/
Route::get('cirujano/panel', App\Http\Livewire\Cirujano\Listado::class)->name('panel-cirujano')->middleware('auth');
Route::get('cirujano/listado/movil', App\Http\Livewire\Cirujano\ListadoMovil::class)->name('listado-movil-cirujano')->middleware('auth');

/**************************/
/* INTERVENCION */
/**************************/
Route::get('intervencion/panel', App\Http\Livewire\Intervencion\Listado::class)->name('panel-intervencion')->middleware('auth');
Route::get('intervencion/panel/movil', App\Http\Livewire\Intervencion\PanelMovil::class)->name('panel-intervencion-movil')->middleware('auth');
/**************************/
/* CLINICA */
/**************************/
Route::get('clinica/panel', App\Http\Livewire\Clinica\Listado::class)->name('panel-clinica')->middleware('auth');
Route::get('clinica/panel/movil', App\Http\Livewire\Clinica\PanelMovil::class)->name('panel-clinica-movil')->middleware('auth');
/**************************/
/* ANESTESIOLOGO */
/**************************/
Route::get('anestesiologo/panel', App\Http\Livewire\Anestesiologo\Listado::class)->name('panel-anestesiologo')->middleware('auth');
Route::get('anestesiologo/panel/movil', App\Http\Livewire\Anestesiologo\PanelMovil::class)->name('panel-anestesiologo-movil')->middleware('auth');
/**************************/
/* BUSCARDOR */
/**************************/
Route::get('bucador', App\Http\Livewire\Buscador\Index::class)->name('buscador-index')->middleware('auth');
Route::get('bucador/porpacientes', App\Http\Livewire\Buscador\PorPacientes::class)->name('buscador-por-pacientes')->middleware('auth');
Route::get('bucador/porfechafactura', App\Http\Livewire\Buscador\PorFechaFactura::class)->name('buscador-por-fecha-factura')->middleware('auth');
Route::get('bucador/porfecharegistro', App\Http\Livewire\Buscador\PorFechaRegistro::class)->name('buscador-por-fecha-registro')->middleware('auth');
Route::get('bucador/porfechaintervencion', App\Http\Livewire\Buscador\PorFechaIntervencion::class)->name('buscador-por-fecha-intervencion')->middleware('auth');
Route::get('bucador/porfechanac', App\Http\Livewire\Buscador\PorFechaNac::class)->name('buscador-por-fecha-nac')->middleware('auth');
Route::get('bucador/porintervencion', App\Http\Livewire\Buscador\PorIntervencion::class)->name('buscador-por-intervencion')->middleware('auth');
Route::get('bucador/porcirujano', App\Http\Livewire\Buscador\PorCirujano::class)->name('buscador-por-cirujano')->middleware('auth');
Route::get('bucador/poredad', App\Http\Livewire\Buscador\PorEdad::class)->name('buscador-por-edad')->middleware('auth');
Route::get('bucador/porclinica', App\Http\Livewire\Buscador\PorClinica::class)->name('buscador-por-clinica')->middleware('auth');
Route::get('bucador/poranestesiologo', App\Http\Livewire\Buscador\PorAnestesiologo::class)->name('buscador-por-anestesiologo')->middleware('auth');
Route::get('bucador/general', App\Http\Livewire\Buscador\PorRegistroIndex::class)->name('buscador-por-registro')->middleware('auth');
/**************************/
/* EXPORTAR */
/**************************/
Route::get('exportar', App\Http\Livewire\Exportar\Index::class)->name('exportar-index')->middleware('auth');
Route::get('registros/export', [App\Http\Controllers\Export\RegistroController::class, 'exportar_registros'])->middleware('auth');
Route::get('registros/pagados/export', [App\Http\Controllers\Export\RegistroController::class, 'exportar_registros_pagados'])->middleware('auth');
Route::get('registros/deuda/export', [App\Http\Controllers\Export\RegistroController::class, 'exportar_registros_con_deuda'])->middleware('auth');
Route::get('registros/sinpagos/export', [App\Http\Controllers\Export\RegistroController::class, 'exportar_registros_sin_pagos'])->middleware('auth');
Route::get('anestesiologos/export', [App\Http\Controllers\Export\AnestesiologoController::class, 'exportar_anestesiologos'])->middleware('auth');
Route::get('cirujanos/export', [App\Http\Controllers\Export\CirujanoController::class, 'exportar_cirujanos'])->middleware('auth');
Route::get('clinicas/export', [App\Http\Controllers\Export\ClinicaController::class, 'exportar_clinicas'])->middleware('auth');
Route::get('intervenciones/export', [App\Http\Controllers\Export\IntervencionController::class, 'exportar_intervenciones'])->middleware('auth');
